## org.eclipse.amp.escape.ascape.adapt
Class AscapeDefaultGraphics3DAdapter

    java.lang.Object
      org.eclipse.amp.agf3d.Graphics3DAdapter
          org.eclipse.amp.escape.ascape.adapt.AscapeDefaultGraphics3DAdapter

All Implemented Interfaces:
  IGraphics3DAdapter, org.eclipse.core.runtime.IAdapterFactory

Direct Known Subclasses:
  EpidemicTiles3DAdapter, Heatbugs3DAdapter

    public class AscapeDefaultGraphics3DAdapter

extends Graphics3DAdapter

A factory for creating ScapeAdapter objects.

Field Summary

Fields inherited from class org.eclipse.amp.agf3d.Graphics3DAdapter
`GRAPHICS_ADAPTERS`

Constructor Summary
`AscapeDefaultGraphics3DAdapter()`

Method Summary
`IShape3DProvider[]` `getShapesForClass(java.lang.Class type)`

Methods inherited from class org.eclipse.amp.agf3d.Graphics3DAdapter
`getAdapter, getAdapterList, getDefault3D, getShapes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeDefaultGraphics3DAdapter

    public AscapeDefaultGraphics3DAdapter()

Method Detail

### getShapesForClass

    public IShape3DProvider[] getShapesForClass(java.lang.Class type)

  Specified by:
    `getShapesForClass` in interface `IGraphics3DAdapter`
  Overrides:
    `getShapesForClass` in class `Graphics3DAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `Graphics3DAdapter.getShapesForClass(java.lang.Class)`